Heray-Was-Here
Server : Apache
System : Linux vps103298.mylogin.co 4.18.0-513.11.1.el8_9.x86_64 #1 SMP Wed Jan 17 02:00:40 EST 2024 x86_64
User : calvet ( 273824)
PHP Version : 7.4.33
Disable Function : NONE
Directory :  /proc/thread-self/root/usr/local/nvm/test/fast/Unit tests/

Upload File :
current_dir [ Writeable ] document_root [ Writeable ]

 

Current File : //proc/thread-self/root/usr/local/nvm/test/fast/Unit tests/nvm_tree_contains_path
#!/bin/sh

cleanup () {
  rm tmp/node
  rmdir tmp
  rm tmp2/node
  rmdir tmp2
}
die () { echo $@ ; cleanup; exit 1; }

. ../../../nvm.sh

mkdir -p tmp
touch tmp/node
mkdir -p tmp2
touch tmp2/node

[ "$(nvm_tree_contains_path 2>&1)" = "both the tree and the node path are required" ] || die 'incorrect error message with no args'
[ "$(nvm_tree_contains_path > /dev/null 2>&1 ; echo $?)" = "2" ] || die 'incorrect error code with no args'
[ "$(nvm_tree_contains_path tmp 2>&1)" = "both the tree and the node path are required" ] || die 'incorrect error message with one arg'
[ "$(nvm_tree_contains_path > /dev/null 2>&1 ; echo $?)" = "2" ] || die 'incorrect error code with one arg'

nvm_tree_contains_path tmp tmp/node || die '"tmp" should contain "tmp/node"'

nvm_tree_contains_path tmp tmp2/node && die '"tmp" should not contain "tmp2/node"'

nvm_tree_contains_path tmp2 tmp2/node || die '"tmp2" should contain "tmp2/node"'

nvm_tree_contains_path tmp2 tmp/node && die '"tmp2" should not contain "tmp/node"'

cleanup


Hry